=== debian/changelog ===
xymon (4.3.25-1) unstable; urgency=medium

  [ Axel Beckert ]
  * New upstream version.
    + Drop cherry-picked 81_confreport-segfault.patch.
    + Refresh patches where necessary.
  * Enable all hardening flags.
  * Switch Vcs-* to HTTPS.

 -- Christoph Berg <myon@debian.org>  Mon, 08 Feb 2016 19:06:30 +0100

xymon (4.3.24-2) unstable; urgency=medium

  * Add upstream patch against segfault in confreport.cgi

 -- Axel Beckert <abe@debian.org>  Fri, 11 Dec 2015 18:13:01 +0100

xymon (4.3.24-1) unstable; urgency=medium

  * New upstream release.
    + Refresh 75_fix_spelling_errors.patch and
      78_fix_manpage_syntax_errors.patch

 -- Axel Beckert <abe@debian.org>  Fri, 27 Nov 2015 18:25:28 +0100

xymon (4.3.23-1) unstable; urgency=medium

  * New upstream release
    + Drop cherry-picked 25_fix_4.3.22_process_graph_regression.patch.
    + Refresh 78_fix_manpage_syntax_errors.patch.
  * Add a debian-specific README.encryption.

 -- Axel Beckert <abe@debian.org>  Mon, 16 Nov 2015 20:49:51 +0100

xymon (4.3.22-2) unstable; urgency=high

  * Cherry-pick patch from upstream to fix TRACK/OPTIONAL analysis.cfg
    tags no more being honored. (Regression from 4.3.21)

 -- Axel Beckert <abe@debian.org>  Thu, 12 Nov 2015 18:17:49 +0100
