## xymon 4.3.27

=== debian/changelog ===
xymon (4.3.27-1build1) yakkety; urgency=medium

  * No-change rebuild for librrd soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2016 16:47:09 +0000

xymon (4.3.27-1) unstable; urgency=medium

  * New upstream release
    + Drop 72_disable_SSLv3.patch (a compile-time check for SSLv3 support
      was added) and 81_cgifix.patch (was cherry-picked from upstream)
    + Refresh 39_kfreebsd-makefile.patch and
      78_fix_manpage_syntax_errors.patch
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Thu, 21 Apr 2016 15:59:42 +0200

xymon (4.3.26-2) unstable; urgency=high

  * Apply upstream-suggested patch for multiple CGI related regressions in
    4.3.26.

 -- Axel Beckert <abe@debian.org>  Fri, 04 Mar 2016 16:01:20 +0100

xymon (4.3.26-1) unstable; urgency=medium

  * New upstream release
    + Refresh patches.
  * Declare compliance with Debian Policy 3.9.7. (No changes needed.)
  * Convert debian/copyright to the machine-readable DEP-5 format
    + Add lintian overrides where upstream didn't specify a GPL version.
  * Update copyright years and some paths in debian/copyright.
  * Add CVE-IDs to previous changelog entry.

 -- Axel Beckert <abe@debian.org>  Fri, 26 Feb 2016 19:12:53 +0100
