=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libssl-dev (>= 1.0.2d-2~),
                po-debconf,
                procps
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/xymon.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xymon.git
 Homepage: http://xymon.sourceforge.net/
