=== debian/changelog ===
xymon (4.3.28-3build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:56:02 +0000

xymon (4.3.28-3) unstable; urgency=medium

  * Switch from prename/perl to file-rename/rename in
    debian/xymon.postinst and debian/control.
  * Downgrade rename usage to Suggests as the migration from "hobbit" to
    "xymon" in path names won't show up in normal setups and is guarded by
    an existence check.
  * Declare compliance with Debian Policy 4.1.3.
    + Switch debian/copyright DEP5 format URL to HTTPS.
    + Change Priority to optional.
  * Drop several spelling-error-in-binary lintian-overrides. (No more
    emitted.)
  * Remove trailing whitespace from debian/rules.
  * Set "Rules-Requires-Root: no".
  * Change debian/rules to the minimal "dh $@" style.
  * Bump debhelper compatibility level to 11.
    + Update versioned debhelper build-dependency accordingly.
    + Drop MAKEFLAGS=-j1 from debian/rules, parallel building seems to
      work now.
  * Fix lintian warning command-with-path-in-maintainer-script by using
    "if which …" instead of "if [ -x /usr/bin/…".
  * Fix FTBFS with glibc 2.26 by adding "#include <stdint.h>" to
    client/logfetch.c. (Closes: #887633)
  * Update lintian overrides of apache2-deprecated-auth-config for
    additional parameter. Merge them into one override with wildcard for
    the Apache directive.

 -- Axel Beckert <abe@debian.org>  Fri, 19 Jan 2018 02:45:18 +0100

xymon (4.3.28-2) unstable; urgency=low

  * xymon-client: Add dependency on net-tools. (Closes: #856315)

 -- Axel Beckert <abe@debian.org>  Fri, 03 Mar 2017 23:18:20 +0100

xymon (4.3.28-1) unstable; urgency=medium

  [ Axel Beckert ]
  * Import new upstream release.
    + Drop 87_fix_4.3.28rc2_regression.patch, applied upstream.
    + Fixes summary reports (from other Xymon servers back to a central
      one).
  * Enforce non-parallel building by setting MAKEFLAGS=-j1 globally.

  [ Takuma Yamada ]
  * Update Japanese debconf templates translation. (Closes: #815530)

 -- Axel Beckert <abe@debian.org>  Fri, 20 Jan 2017 02:14:35 +0100

xymon (4.3.28~rc2-1) experimental; urgency=low

  * New upstream release candidate 4.3.28~rc2
    + Drop patches 15_hobbitgraph.netstat, 75_fix_spelling_errors and
      78_fix_manpage_syntax_errors, applied upstream.
    + Add patch to fix preprocessor syntax error in xymonnet/contest.c.

 -- Axel Beckert <abe@debian.org>  Fri, 06 Jan 2017 22:57:35 +0100

xymon (4.3.28~rc1-1) experimental; urgency=low

  * New upstream release candidate 4.3.28~rc1
    + Remove 81_fix_compilation_with_OpenSSL_1.1+.patch, fixed upstream.
    + Refresh 75_fix_spelling_errors.patch and
      78_fix_manpage_syntax_errors.patch.
    + debian/copyright: Use version agnostic wildcard path to embedded
      (but unused) copy of c-ares.
  * Add a bunch of new typos found by lintian to
    75_fix_spelling_errors.patch.
  * Add lintian overrides for spelling-error-in-binary false positives,
    where the accused typo can't be found in the source code.

 -- Axel Beckert <abe@debian.org>  Wed, 04 Jan 2017 21:50:46 +0100

xymon (4.3.27-3) unstable; urgency=medium

  * Add patch to fix compilation on GNU/Hurd.

 -- Axel Beckert <abe@debian.org>  Sun, 30 Oct 2016 17:32:28 +0100

xymon (4.3.27-2) unstable; urgency=medium

  * Apply init script patch by Joel Brunenberg to use --pidfile with
    start-stop-daemon to be able distinguish multiple running xymon-client
    daemons (xymonlaunch), e.g. the one on the main host from those in
    containers. (Closes: #819976)
  * Fix two typos found by Lintian in debian/copyright.
  * Add versioned dependency on lsb-base for using /lib/lsb/init-functions
    in the init script.
  * Replace one case of http:// with https:// in d/u/metadata (via DUCK).
  * Remove no more needed debian/source/lintian-overrides.
  * Add patch to fix compilation with OpenSSL 1.1+. (Closes: #828611)

 -- Axel Beckert <abe@debian.org>  Sun, 30 Oct 2016 04:57:47 +0100
