=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: xymon
 Section: net
-Priority: extra
-Maintainer: Christoph Berg <myon@debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Berg <myon@debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                dh-apache2,
                dpkg-dev (>= 1.16.1~),
                imagemagick,
@@ -14,10 +15,11 @@
                libssl-dev (>= 1.0.2d-2~),
                po-debconf,
                procps
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/xymon.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xymon.git
 Homepage: http://xymon.sourceforge.net/
+Rules-Requires-Root: no
 
 Package: xymon
 Architecture: any
@@ -27,12 +29,13 @@
 Replaces: hobbit (<< 4.2.2)
 Pre-Depends: ${misc:Pre-Depends}
 Depends: xymon-client (>= 4.3.7-1~),
-# The dependency on perl is only for prename in postinst script
-         perl,
+         lsb-base (>= 3.0-6),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: apache2 | httpd-cgi
-Suggests: rrdtool
+# The relation with rename is only for file-rename in postinst script
+Suggests: rename,
+          rrdtool
 Description: monitoring system for systems, networks and applications
  Xymon (previously called Hobbit) is a network- and applications-
  monitoring system designed for use in large-scale networks. But it will
@@ -61,6 +64,7 @@
 Pre-Depends: debconf (>= 0.5) | debconf-2.0, ${misc:Pre-Depends}
 Depends: adduser,
          lsb-base,
+         net-tools,
          procps,
          ${misc:Depends},
          ${shlibs:Depends}
