## xymon 4.3.29

=== debian/changelog ===
xymon (4.3.29-1) unstable; urgency=high

  * Import new upstream release.
    + Fixes multiple security vulnerabilities:
      - CVE-2019-13451: service overflows histlogfn in history.c.
      - CVE-2019-13452: service overflows histlogfn in reportlog.c.
      - CVE-2019-13273: srdb overflows dbfn in csvinfo.c.
      - CVE-2019-13274: reflected XSS in csvinfo.c.
      - CVE-2019-13455: htmlquoted(hostname) overflows msgline in
        acknowledge.c.
      - CVE-2019-13484: htmlquoted(xymondreq) overflows errtxt appfeed.c.
      - CVE-2019-13485: hostname overflows selfurl in history.c.
      - CVE-2019-13486: htmlquoted(xymondreq) overflows errtxt in
        svcstatus.c.
    + Drop patches applied upstream:
      - 00_htmlcontenttype.patch
      - 39_kfreebsd-makefile.patch
      - 66_apache2.4.patch
      - 84_fix_compilation_on_GNU_Hurd.patch
      - 90_fix-spelling-errors.patch
    + Refresh update patches where necessary:
      - 24_hobbitclient-tmpfs.patch
      - 51_hardening-buildflags.patch
      - 87_fix_logfetch_FTBFS_with_glibc_2.26.patch
    + Add new build-dependency libtirpc-dev.
  * Declare compliance with Debian Policy 4.4.0. (No changes needed.)
  * Bump debhelper compatibility level to 12.
    + Replace debian/compat with a versioned b-d on debhelper-compat.

 -- Axel Beckert <abe@debian.org>  Wed, 24 Jul 2019 01:18:17 +0200

xymon (4.3.28-5) unstable; urgency=medium

  * xymon.postinst: Check for file existence before calling chgrp/chmod on
    critical.cfg and critical.cfg.bak. (Closes: #924665, LP: #1819378)

 -- Axel Beckert <abe@debian.org>  Mon, 18 Mar 2019 01:28:51 +0100

xymon (4.3.28-4) unstable; urgency=medium

  [ Axel Beckert ]
  * Update Vcs-* headers for move to Salsa.
  * Override package-contains-documentation-outside-usr-share-doc lintian
    warning for multiple cases of documentation about a directory.
  * Declare compliance with Debian Policy 4.3.0.
    + Install RELEASENOTES file as /usr/share/doc/package/NEWS.gz.
  * Reintroduce MAKEFLAGS=-j1 again as I ran into issues with parallel
    building again, but restrict it to override_dh_auto_build and the
    server's install target in override_dh_auto_install.
  * Fix URL pointing upstream mailing list posting in
    debian/xymon.lintian-overrides. It was pointing to the wrong mail.
  * Make lintian overrides for package-contains-hardlink more generic:
    + Catches future CGI script hardlinks.
    + Independent of which file is regarded as file others are linked to.
    + Reduces amount of lines needed in debian/xymon.lintian-overrides.
  * Ignore squashfs mounts when checking for disk usage. (LP: #1798557)
  * Add patch to fix old spelling errors found by new lintian.
  * Add patch to switch example in analysis.cfg(5) from FSSTND to FHS.
    Fixes lintian warning FSSTND-dir-in-manual-page.
  * Fix existence of debian/docs together with debian/xymon.docs and
    debian/xymon-client.docs by adequately merging the former into the two
    latter files. Reintroduces some upstream documentation which was
    missing for a few years.
    + Install docs/TODO only into the server package "xymon".

  [ Ondřej Nový ]
  * debian/watch: Use HTTPS.

 -- Axel Beckert <abe@debian.org>  Tue, 19 Feb 2019 18:50:07 +0100
